Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ApprovalPerson/SourceUpdate.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ApprovalPerson/SourceUpdate.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ApprovalPerson/SourceUpdate.cs	(revision 83)
@@ -0,0 +1,566 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Text;
+using System.Windows.Forms;
+using System.Collections;
+using System.Linq;
+using System.Diagnostics;
+using System.Data.Common;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.Master;
+using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.ControlsAction;
+using ProcessManagement.Forms.CustomControls;
+
+namespace ProcessManagement.Forms.DataEntry
+{
+    partial class FrmApprovalPerson
+    {
+        #region 最終承認が成された後の処理
+        /// <summary>
+        /// 最終承認が成された後の処理
+        /// </summary>
+        private void UpdateSourceData()
+        {
+            try
+            {
+                switch (m_ApprovalCode)
+                {
+                    case (int)ClsExcute.ApprovalListNo.DRWorkApproval:
+                        // 8:出勤管理承認
+                        break;
+                    case (int)ClsExcute.ApprovalListNo.CostomerRegistApproval:
+                        // 9:発注者登録承認
+                        CreateCostomerData();
+                        break;
+                    case (int)ClsExcute.ApprovalListNo.SubConstregistApproval:
+                        // 10:協力会社登録承認
+                        CreateSubConstrData();
+                        break;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 発注者マスタの登録
+        /// <summary>
+        /// 発注者マスタの登録
+        /// </summary>
+        private void CreateCostomerData()
+        {
+            IOMOrderers OrderDB = new IOMOrderers(); 
+            IOCostomerRegist RegistDB = new IOCostomerRegist();
+            try
+            {
+                // 発注者登録申請データ取得
+                string strSQL = RegistDB.CreatePrimarykeyString(m_PersonCode, m_SearchDate, m_SearchSeqNo);
+                CostomerRegist RegistRec = new CostomerRegist();
+                if (!RegistDB.SelectAction(strSQL, ref RegistRec))
+                {
+                    MessageBox.Show("発注者登録申請データが存在しません。", "登録確認エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+                
+                OrderDB.connect(); OrderDB.beginTran();
+                RegistDB.connect(); RegistDB.beginTran();
+
+                // 新規・修正処理
+                switch (RegistRec.DataMode)
+                {
+                    case (int)FrmCostomerRegist.DataMode.NewData:
+
+                        // ソースのコードがあれば再度の作成はしない
+                        if (RegistRec.SourceCode != 0) return;
+                        // 新規データ作成
+                        CreateCostomer(OrderDB, RegistDB, ref RegistRec, strSQL);
+
+                        break;
+                    case (int)FrmCostomerRegist.DataMode.EditData:
+
+                        // 既存データ更新
+                        UpdateCostomer(OrderDB, RegistRec);
+                        break;
+                }
+
+                OrderDB.commit();
+                RegistDB.commit();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                RegistDB.close(); RegistDB = null;
+                OrderDB.close(); OrderDB = null;
+            }
+        }
+        #endregion
+
+        #region 発注者マスタ新規データ作成
+        /// <summary>
+        /// 発注者マスタ新規データ作成
+        /// </summary>
+        private bool CreateCostomer(IOMOrderers OrderDB, IOCostomerRegist RegistDB, ref CostomerRegist RegistRec, string SourceSQL)
+        {
+            try
+            {
+                // 新規発注者コード取得
+                string strSQL = OrderDB.CreatePrimarykeyString(RegistRec.OrderCotegory);
+                int OrderersCode = OrderDB.SelectMaxOrderersCodeCount(strSQL, false) + 1;
+                // 表示順取得
+                int DispOrder = OrderDB.GetMaxDisplayOrder(strSQL, false) + 1;
+
+                strSQL = "INSERT INTO ORDERERSMASTER";
+                strSQL += " SELECT";
+                strSQL += " OrderCotegory,";
+                strSQL += string.Format(" {0},", OrderersCode);
+                strSQL += string.Format(" {0},", DispOrder);
+                strSQL += " OrderFlg,";
+                strSQL += " CorporateStatusName,";
+                strSQL += " CorporateStatusPoint,";
+                strSQL += " OrderersName1,";
+                strSQL += " OrderersName2,";
+                strSQL += " DepartmentName,";
+                strSQL += " ChargePersonName,";
+                strSQL += " ZipCode,";
+                strSQL += " Address1,";
+                strSQL += " Address2,";
+                strSQL += " Address3,";
+                strSQL += " PhoneNumber,";
+                strSQL += " FaxNumber,";
+                strSQL += " MailAddress,";
+                strSQL += " Note,";
+                strSQL += " 0,";
+                strSQL += " STR_TO_DATE(DATE_FORMAT(sysdate,'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s'),";
+                strSQL += " STR_TO_DATE(DATE_FORMAT(sysdate,'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strSQL += " FROM COSTOMERREGIST";
+
+                strSQL += SourceSQL;
+                if (!OrderDB.ExecuteNonQuery(strSQL, false))
+                {
+                    OrderDB.rollback();
+                    MessageBox.Show("発注者マスタ、登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
+                // 新規番号のセット
+                RegistRec.SourceCode = OrderersCode;
+
+                // 成功時は発注者登録データにコードセット
+                strSQL = "UPDATE COSTOMERREGIST SET";
+                strSQL += string.Format(" SOURCECOTEGORY = {0}", RegistRec.OrderCotegory);
+                strSQL += string.Format(", SOURCECODE = {0}", RegistRec.SourceCode);
+                strSQL += RegistDB.CreatePrimarykeyString(m_PersonCode, m_SearchDate, m_SearchSeqNo);
+                if (!RegistDB.ExecuteNonQuery(strSQL, false))
+                {
+                    OrderDB.rollback();
+                    RegistDB.rollback();
+                    MessageBox.Show("発注者登録申請データ更新に失敗しました。", "更新エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 発注者マスタ既存データ更新
+        /// <summary>
+        /// 発注者マスタ既存データ更新
+        /// </summary>
+        private bool UpdateCostomer(IOMOrderers OrderDB, CostomerRegist RegistRec)
+        {
+            try
+            {
+                string strSQL = "UPDATE OrderersMaster";
+
+                strSQL += " SET";
+
+                strSQL += string.Format(" OrderFlg = {0}", RegistRec.OrderFlg);
+                strSQL += string.Format(", CorporateStatusName = '{0}'", RegistRec.CorporateStatusName);
+                strSQL += string.Format(", CorporateStatusPoint = {0}", RegistRec.CorporateStatusPoint);
+                strSQL += string.Format(", OrderersName1 = '{0}'", RegistRec.OrderersName1);
+                strSQL += string.Format(", OrderersName2 = '{0}'", RegistRec.OrderersName2);
+                strSQL += string.Format(", DepartmentName = '{0}'", RegistRec.DepartmentName);
+                strSQL += string.Format(", ChargePersonName = '{0}'", RegistRec.ChargePersonName);
+                strSQL += string.Format(", ZipCode = '{0}'", RegistRec.ZipCode);
+                strSQL += string.Format(", Address1 = '{0}'", RegistRec.Address1);
+                strSQL += string.Format(", Address2 = '{0}'", RegistRec.Address2);
+                strSQL += string.Format(", Address3 = '{0}'", RegistRec.Address3);
+                strSQL += string.Format(", PhoneNumber = '{0}'", RegistRec.PhoneNumber);
+                strSQL += string.Format(", FaxNumber = '{0}'", RegistRec.FaxNumber);
+                strSQL += string.Format(", Note = '{0}'", RegistRec.Note);
+                strSQL += string.Format(", MailAddress = '{0}'", RegistRec.MailAddress);
+
+                strSQL += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(sysdate,'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+
+                strSQL += OrderDB.CreatePrimarykeyString(RegistRec.SourceCotegory, RegistRec.SourceCode);
+                if (!OrderDB.ExecuteNonQuery(strSQL, false))
+                {
+                    OrderDB.rollback();
+                    MessageBox.Show("発注者マスタ、更新に失敗しました。", "更新エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 協力会社マスタの登録
+        /// <summary>
+        /// 協力会社マスタの登録
+        /// </summary>
+        private void CreateSubConstrData()
+        {
+            IOMSubContractor SubConstrDB = new IOMSubContractor();
+            IOSubConstrRegist RegistDB = new IOSubConstrRegist();
+            try
+            {
+                // 協力会社登録申請データ取得
+                string strSQL = RegistDB.CreatePrimarykeyString(m_PersonCode, m_SearchDate, m_SearchSeqNo);
+                SubConstrRegist RegistRec = new SubConstrRegist();
+                if (!RegistDB.SelectAction(strSQL, ref RegistRec))
+                {
+                    MessageBox.Show("協力会社登録申請データが存在しません。", "登録確認エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+
+                SubConstrDB.connect(); SubConstrDB.beginTran();
+                RegistDB.connect(); RegistDB.beginTran();
+
+                // 新規・修正処理
+                switch (RegistRec.DataMode)
+                {
+                    case (int)FrmCostomerRegist.DataMode.NewData:
+
+                        // ソースのコードがあれば再度の作成はしない
+                        if (RegistRec.SourceCode != 0) break;
+
+                        // ----- 新規データ作成
+                        // 協力会社登録
+                        if (!CreateSubConstr(SubConstrDB, RegistDB, ref RegistRec, strSQL)) break;
+                        // 協力業者施工工種登録
+                        if (!CreateSubConstrJobItem(SubConstrDB, RegistRec, strSQL))
+                        {
+                            RegistDB.rollback();
+                            break;
+                        }
+                        // 協力業者職種リンク登録
+                        if (!CreateSubConstrJobLink(SubConstrDB, RegistRec, strSQL))
+                        {
+                            RegistDB.rollback();
+                            break;
+                        }
+
+                        break;
+
+                    case (int)FrmCostomerRegist.DataMode.EditData:
+                        // 既存データ更新
+                        if (!UpdateSubConstr(SubConstrDB, RegistRec)) break;
+                        // 協力業者施工工種登録
+                        if (!UpdateSubConstrJobItem(SubConstrDB, RegistRec, strSQL)) break;
+                        // 協力業者職種リンク登録
+                        if (!UpdateSubConstrJobLink(SubConstrDB, RegistRec, strSQL)) break;
+
+                        break;
+                }
+                SubConstrDB.commit();
+                RegistDB.commit();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                RegistDB.close(); RegistDB = null;
+                SubConstrDB.close(); SubConstrDB = null;
+            }
+        }
+        #endregion
+
+        #region 協力会社マスタ新規データ作成
+        /// <summary>
+        /// 協力会社マスタ新規データ作成
+        /// </summary>
+        private bool CreateSubConstr(IOMSubContractor SubDB, IOSubConstrRegist RegistDB, ref SubConstrRegist RegistRec, string SourceSQL)
+        {
+            try
+            {
+                // 新規協力会社コード取得
+                int CompanyCode = SubDB.SelectMaxCompanyCodeCount("", false) + 1;
+                int DisplayOrder = SubDB.SelectMaxDisplayOrderCount("", false) + 1;
+
+                string strSQL = "INSERT INTO SUBCONTRACTORMASTER";
+                strSQL += " SELECT";
+                strSQL += string.Format(" {0},", CompanyCode);
+                strSQL += string.Format(" {0},", DisplayOrder);
+                strSQL += " CorporateStatusName,";
+                strSQL += " CorporateStatusPoint,";
+                strSQL += " CompanyName,";
+                strSQL += " CEOPositionName,";
+                strSQL += " CEOName,";
+                strSQL += " ContactPersonName,";
+                strSQL += " ZipCode,";
+                strSQL += " Address1,";
+                strSQL += " Address2,";
+                strSQL += " Address3,";
+                strSQL += " CellPhoneNumber,";
+                strSQL += " MailAddress,";
+                strSQL += " PhoneNumber,";
+                strSQL += " FaxNumber,";
+                strSQL += " JapaneseSyllabary,";
+                strSQL += " StartDate,";
+                strSQL += " Note,";
+                strSQL += " labourKind,";
+                strSQL += " 0,";
+                strSQL += " STR_TO_DATE(DATE_FORMAT(sysdate,'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s'),";
+                strSQL += " STR_TO_DATE(DATE_FORMAT(sysdate,'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strSQL += " FROM SUBCONSTRREGIST";
+
+                strSQL += SourceSQL;
+                if (!SubDB.ExecuteNonQuery(strSQL, false))
+                {
+                    SubDB.rollback();
+                    MessageBox.Show("協力会社マスタ、登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
+                // 新規番号のセット
+                RegistRec.SourceCode = CompanyCode;
+
+                // 成功時は発注者登録データにコードセット
+                strSQL = string.Format("UPDATE SUBCONSTRREGIST SET SOURCECODE = {0}", RegistRec.SourceCode);
+                strSQL += SourceSQL;
+                if (!RegistDB.ExecuteNonQuery(strSQL, false))
+                {
+                    SubDB.rollback();
+                    RegistDB.rollback();
+                    MessageBox.Show("発注者登録申請データ更新に失敗しました。", "更新エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 協力業者施工工種登録申請データ新規作成
+        /// <summary>
+        /// 協力業者施工工種登録申請データ新規作成
+        /// </summary>
+        private bool CreateSubConstrJobItem(IOMSubContractor SubDB, SubConstrRegist RegistRec, string SourceSQL)
+        {
+            try
+            {
+                // データ無は処理しない
+                string strSQL = "SELECT count(*) FROM SUBCONSTRJOBITEMREGIST";
+                strSQL += SourceSQL;
+                ArrayList arCnt = new ArrayList();
+                if (!SubDB.ExecuteReader(strSQL, ref arCnt, false)) return false;
+                if (arCnt.Count == 0) return false;
+                object[] Datacnt = (object[])arCnt[0];
+                if (CommonMotions.cnvInt(Datacnt[0]) == 0) return true;
+                
+                strSQL = "INSERT INTO SUBCONTRACTORJOBITEM";
+                strSQL += " SELECT";
+                strSQL += string.Format(" {0},", RegistRec.SourceCode);
+                strSQL += " ItemCode,";
+                strSQL += " DisplayOrder,";
+                strSQL += " STR_TO_DATE(DATE_FORMAT(sysdate,'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s'),";
+                strSQL += " STR_TO_DATE(DATE_FORMAT(sysdate,'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strSQL += " FROM SubConstrJobItemRegist";
+
+                strSQL += SourceSQL;
+                if (!SubDB.ExecuteNonQuery(strSQL, false))
+                {
+                    SubDB.rollback();
+                    MessageBox.Show("協力業者施工工種登録申請データ、登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 協力業者職種リンク登録申請データ新規作成
+        /// <summary>
+        /// 協力業者職種リンク登録申請データ新規作成
+        /// </summary>
+        private bool CreateSubConstrJobLink(IOMSubContractor SubDB, SubConstrRegist RegistRec, string SourceSQL)
+        {
+            try
+            {
+                // データ無は処理しない
+                string strSQL = "SELECT count(*) FROM SubConstrJobLinkRegist";
+                strSQL += SourceSQL;
+                ArrayList arCnt = new ArrayList();
+                if (!SubDB.ExecuteReader(strSQL, ref arCnt, false)) return false;
+                if (arCnt.Count == 0) return false;
+                object[] Datacnt = (object[])arCnt[0];
+                if (CommonMotions.cnvInt(Datacnt[0]) == 0) return true;
+
+                strSQL = "INSERT INTO SubContractorJobLink";
+                strSQL += " SELECT";
+                strSQL += string.Format(" {0},", RegistRec.SourceCode);
+                strSQL += " JobCategoryCode,";
+                strSQL += " DisplayOrder,";
+                strSQL += " STR_TO_DATE(DATE_FORMAT(sysdate,'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s'),";
+                strSQL += " STR_TO_DATE(DATE_FORMAT(sysdate,'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strSQL += " FROM SubConstrJobLinkRegist";
+
+                strSQL += SourceSQL;
+                if (!SubDB.ExecuteNonQuery(strSQL, false))
+                {
+                    SubDB.rollback();
+                    MessageBox.Show("協力業者職種リンク登録申請データ、登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 協力会社マスタ既存データ更新
+        /// <summary>
+        /// 協力会社マスタ既存データ更新
+        /// </summary>
+        private bool UpdateSubConstr(IOMSubContractor SubDB, SubConstrRegist RegistRec)
+        {
+            try
+            {
+                string strSQL = "UPDATE SubContractorMaster";
+
+                strSQL += " SET";
+
+                strSQL += string.Format(" CompanyCode = {0}", RegistRec.SourceCode);
+                strSQL += string.Format(", CorporateStatusName = '{0}'", RegistRec.CorporateStatusName);
+                strSQL += string.Format(", CorporateStatusPoint = {0}", RegistRec.CorporateStatusPoint);
+                strSQL += string.Format(", CompanyName = '{0}'", RegistRec.CompanyName);
+                strSQL += string.Format(", CEOPositionName = '{0}'", RegistRec.CEOPositionName);
+                strSQL += string.Format(", CEOName = '{0}'", RegistRec.CEOName);
+                strSQL += string.Format(", ContactPersonName = '{0}'", RegistRec.ContactPersonName);
+                strSQL += string.Format(", ZipCode = '{0}'", RegistRec.ZipCode);
+                strSQL += string.Format(", Address1 = '{0}'", RegistRec.Address1);
+                strSQL += string.Format(", Address2 = '{0}'", RegistRec.Address2);
+                strSQL += string.Format(", Address3 = '{0}'", RegistRec.Address3);
+                strSQL += string.Format(", CellPhoneNumber = '{0}'", RegistRec.CellPhoneNumber);
+                strSQL += string.Format(", MailAddress = '{0}'", RegistRec.MailAddress);
+                strSQL += string.Format(", PhoneNumber = '{0}'", RegistRec.PhoneNumber);
+                strSQL += string.Format(", FaxNumber = '{0}'", RegistRec.FaxNumber);
+                strSQL += string.Format(", JapaneseSyllabary = '{0}'", RegistRec.JapaneseSyllabary);
+                strSQL += string.Format(", StartDate = STR_TO_DATE('{0}','%Y/%m/%d')", RegistRec.StartDate.ToShortDateString());
+                strSQL += string.Format(", Note = '{0}'", RegistRec.Note);
+                strSQL += string.Format(", labourKind = {0}", RegistRec.labourKind);
+
+                strSQL += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(sysdate,'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+
+                strSQL += SubDB.CreatePrimarykeyString(RegistRec.SourceCode);
+                if (!SubDB.ExecuteNonQuery(strSQL, false))
+                {
+                    SubDB.rollback();
+                    MessageBox.Show("協力会社マスタ、更新に失敗しました。", "更新エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 協力業者施工工種登録申請データ更新
+        /// <summary>
+        /// 協力業者施工工種登録申請データ更新
+        /// </summary>
+        private bool UpdateSubConstrJobItem(IOMSubContractor SubDB, SubConstrRegist RegistRec, string SourceSQL)
+        {
+            try
+            {
+                // まず削除して
+                string strSQL = "DELETE SubContractorJobItem";
+                strSQL += string.Format(" WHERE CompanyCode = {0}", RegistRec.SourceCode);
+                SubDB.ExecuteNonQuery(strSQL, false);
+
+                // 新規作成
+                return CreateSubConstrJobItem(SubDB, RegistRec, SourceSQL);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 協力業者職種リンク登録申請データ更新
+        /// <summary>
+        /// 協力業者職種リンク登録申請データ更新
+        /// </summary>
+        private bool UpdateSubConstrJobLink(IOMSubContractor SubDB, SubConstrRegist RegistRec, string SourceSQL)
+        {
+            try
+            {
+                // まず削除して
+                string strSQL = "DELETE SubContractorJobLink";
+                strSQL += string.Format(" WHERE CompanyCode = {0}", RegistRec.SourceCode);
+                SubDB.ExecuteNonQuery(strSQL, false);
+
+                // 新規作成
+                return CreateSubConstrJobLink(SubDB, RegistRec, SourceSQL);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+    }
+}
